From: Didier Raboud <odyx@debian.org>
Date: Fri, 13 Sep 2019 17:22:20 +0200
Subject: =?utf-8?q?Fix_some_typos_in_BUG=C2=A0and_DBG=C2=A0messages?=

---
 common/utils.c             | 4 ++--
 prnt/backend/hp.c          | 2 +-
 prnt/hpcups/LJZjStream.cpp | 2 +-
 protocol/hp_ipp.c          | 4 ++--
 scan/sane/saneopts.h       | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/common/utils.c b/common/utils.c
index d8ecee9..e7c5085 100644
--- a/common/utils.c
+++ b/common/utils.c
@@ -252,7 +252,7 @@ void *get_library_symbol(void *pLibHandler, const char *szSymbol)
     void *pSymHandler = NULL;
     if (pLibHandler == NULL)
     {
-        BUG("Invalid Library hanlder\n");
+        BUG("Invalid Library handler\n");
         return NULL;
     }
 
@@ -274,7 +274,7 @@ void unload_library(void *pLibHandler)
     if (pLibHandler)
         dlclose(pLibHandler);
     else
-        BUG("Invalid Library hanlder pLibHandler = NULL.\n");
+        BUG("Invalid Library handler pLibHandler = NULL.\n");
 }
 
 int createTempFile(char* szFileName, FILE** pFilePtr)
diff --git a/prnt/backend/hp.c b/prnt/backend/hp.c
index 07713b2..066866e 100644
--- a/prnt/backend/hp.c
+++ b/prnt/backend/hp.c
@@ -666,7 +666,7 @@ static void save_out_file(int fd, int copies, FILE * temp_fp)
 
    if (NULL == temp_fp)
    {
-       BUG("ERROR: save_out_file function recieved NULL temp_fp pointer\n");
+       BUG("ERROR: save_out_file function received NULL temp_fp pointer\n");
        return;
    }
 
diff --git a/prnt/hpcups/LJZjStream.cpp b/prnt/hpcups/LJZjStream.cpp
index 9b06cf8..45a0c7a 100644
--- a/prnt/hpcups/LJZjStream.cpp
+++ b/prnt/hpcups/LJZjStream.cpp
@@ -685,7 +685,7 @@ DRIVER_ERROR LJZjStream::preProcessRasterData(cups_raster_t **ppcups_raster, cup
 		return  NO_ERROR;                                  
     }    
 
-    dbglog ("DEBUG: Getting Swaped Pages Raster.....\n");
+    dbglog ("DEBUG: Getting Swapped Pages Raster.....\n");
 
     memcpy(&cups_header, firstpage_cups_header, sizeof(cups_page_header2_t));
 
diff --git a/protocol/hp_ipp.c b/protocol/hp_ipp.c
index 97d827d..e8c9b81 100644
--- a/protocol/hp_ipp.c
+++ b/protocol/hp_ipp.c
@@ -941,7 +941,7 @@ enum HPMUD_RESULT readChannel(raw_ipp *responseptr, HPMUD_DEVICE hd, HPMUD_CHANN
         {        
             if(memcmp(&data[*size - CHUNK_DELIMITER_LENGTH], CHUNK_DELIMITER, CHUNK_DELIMITER_LENGTH) == 0)
             {
-                DBG("Chunk end recieved....\n");
+                DBG("Chunk end received....\n");
                 break;        
             }
         }
@@ -950,7 +950,7 @@ enum HPMUD_RESULT readChannel(raw_ipp *responseptr, HPMUD_DEVICE hd, HPMUD_CHANN
             bytes_remaining -= bytes_read;
             if(bytes_remaining == 0)
             {
-                DBG("Complete unchunked data recieved....\n");
+                DBG("Complete unchunked data received....\n");
                 break;   
             }
         }
diff --git a/scan/sane/saneopts.h b/scan/sane/saneopts.h
index fcc460f..2d5a701 100755
--- a/scan/sane/saneopts.h
+++ b/scan/sane/saneopts.h
@@ -133,7 +133,7 @@
 
 #define SANE_NAME_MULTIPICK "multi-pick"
 #define SANE_TITLE_MULTIPICK SANE_I18N("Multi pick")
-#define SANE_DESC_MULTIPICK SANE_I18N("Select multipick option for ESCL protocal based devices")
+#define SANE_DESC_MULTIPICK SANE_I18N("Select multipick option for ESCL protocol based devices")
 
 #define SANE_TITLE_NUM_OPTIONS		SANE_I18N("Number of options")
 #define SANE_TITLE_PREVIEW		SANE_I18N("Preview")
